Distribution

Get a portal

GET
/v1/portals/{id}

Scope: distribution:read

Authorization

apiKey
headerAuthorizationBearer <ik_live_…>

An organisation API key from Settings → Organisation → API keys. Each operation names the one scope it needs — see https://developer.ingenee.ai/docs/authentication.

Path Parameters

id*string

Response Body

OK

application/json
  1. response
[key: string]?any
Example Request
curl -X GET 'https://dev.app.ingenee.ai/api/v1/portals/string'
Example Response
{  "portal": {    "id": "06bf204d-507e-4625-981f-f3fcb1194366",    "slug": "untitled-avail-48",    "name": "Untitled avail",    "logoUrl": null,    "accentColor": null,    "logoBgColor": null,    "coverUrl": null,    "about": null,    "contactEmail": null,    "contactPhone": null,    "websiteUrl": null,    "catalogIds": [],    "assetIds": [],    "hiddenAssetIds": [],    "hideExpiredRights": true,    "buyerId": null,    "channelIds": [],    "hiddenChannelIds": [],    "contentKind": "titles",    "accessMode": "public",    "hasPassword": false,    "status": "draft",    "createdAt": "2026-10-14T08:28:31.801Z",    "updatedAt": "2026-10-14T08:28:31.801Z"  }}